.hero {
    position: relative;
    display: flex;
    justify-content: center;

    height: 650px;
    width: 100vw;

    z-index: 100;
}   

.hero-container {
    display: flex;
    box-sizing: border-box; 
    justify-content: space-between;

    width: 100%;
    max-width: var(--content-max-width);

    padding: 0 64px;
    padding-left: 140px;
    position: relative;
}

.hero-content {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.hero-text-title {
    max-width: 890px;
    font-family: 'Smeshariki';
    font-size: 64px;

    background: var(--violete-gradient-0);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;

    line-height: 50px;
}

.hero-text-description {
    font-size: 24px;
    max-width: 400px;
    line-height: 34px;

    font-weight: 500;
}

.hero-text-description-colored {
    color: var(--orange-1);
    font-style: italic;
}

.hero-actions {
    display: flex;
    align-items: center;
    gap: 12px;
}

.hero-actions-buy-button {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;

    background-color: var(--violet-0);
    border: none;
    width: 250px;
    height: 58px;
    border-radius: 50px;

    font-size: 20px;
    color: white;
    font-family: 'Montserrat';
    font-weight: 600;
}

.hero-actions-more-button {
    display: flex;
    align-items: center;
    justify-content: center;

    background-color: var(--orange-0);
    border: 3px solid var(--violet-0);
    width: 250px;
    height: 58px;
    border-radius: 50px;

    font-size: 20px;
    color: white;
    font-family: 'Montserrat';
    font-weight: 600;
}

.hero-actions-more-button:hover {
    cursor: pointer;
    transform: scale(1.05);
}

.hero-actions-buy-button:hover {
    cursor: pointer;
    transform: scale(1.05);
    background-color: var(--orange-0);
}

.hero-actions-more-button,
.hero-actions-buy-button {
    transition: transform 0.2s ease;
    transition: transform 0.15s ease, background-color 0.15s ease;
}

.hero-mobile-images {
    display: none;
    height: 450px;
}

.hero-mobile-images-container {
    position: relative;
}

.hero-mobile-image-1 {
    position: absolute;
    top: -230px;
    left: -250px;
    width: 300px;
    height: 420px;

    animation: sway-1 26s ease-in-out infinite;
    transform-origin: center center;

    z-index: 100;
}

.hero-mobile-image-2 {
    position: absolute;
    top: -230px;
    right: -260px;
    width: 300px;
    height: 420px;

    animation: sway-2 20s ease-in-out infinite;
    transform-origin: center center;
    
    z-index: 1;
}

.hero-desktop-images {
    display: flex;
    align-items: center;
    justify-content: center;

    width: 100%;
}

.hero-desktop-images-container {
    position: relative;
}

.hero-desktop-image-1 {
    position: absolute;
    top: -470px;
    left: -400px;

    width: 500px;
    height: 700px;

    animation: sway-1 26s ease-in-out infinite;
    transform-origin: center center;
    
    z-index: 100;
}

.hero-desktop-image-2 {
    position: absolute;
    top: -400px;
    right: -450px;

    width: 450px;
    height: 600px;

    animation: sway-2 20s ease-in-out infinite;
    transform-origin: center center;

    z-index: 10;
}

@keyframes sway-1 {
    0% {
        transform: rotate(-7deg);
    }
    50% {
        transform: rotate(7deg);
    }
    100% {
        transform: rotate(-7deg);
    }
}

@keyframes sway-2 {
    0% {
        transform: rotate(10deg);
    }
    50% {
        transform: rotate(-7deg);
    }
    100% {
        transform: rotate(10deg);
    }
}


@media (max-width: 1400px) {
    .hero-desktop-image-1 {
        top: -400px;
        left: -250px;

        width: 300px;
        height: 450px;
    }

    .hero-desktop-image-2 {
        top: -350px;
        right: -275px;

        width: 280px;
        height: 450px;
    }
}

@media (max-width: 1100px) {
    .hero-desktop-image-1 {
        top: -400px;
        left: -170px;

        width: 300px;
        height: 450px;
    }

    .hero-desktop-image-2 {
        top: -200px;
        right: -275px;

        width: 280px;
        height: 450px;
    }
    
    .hero-actions {
        display: flex;
        flex-direction: column;
        gap: 12px;
    }

    .hero-actions-buy-button {
        width: 100% !important;
    }

    .hero-actions-more-button {
        width: 100% !important;
    }
}

@media (max-width: 990px) { 

    .hero-content {
        gap: 20px;
    }

    .hero-actions-more-button, 
    .hero-actions-buy-button 
    {
        width: 200px;
        height: 48px;
        font-size: 16px;
    }
}

@media (max-width: 820px) {
    .hero {
        height: 850px;
        padding-bottom: 60px;
    }


   .hero-desktop-images {
        display: none;
   } 

   .hero-mobile-images{
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 100%;
        min-height: 300px;
   }

    .hero-text-title {
        font-size: 40px;
        text-align: center;
        line-height: 40px;
        max-width: 600px;
    }

    .hero-text-description {
        font-size: 20px;
        text-align: center;
        margin: 0 auto;
        line-height: 32px;
    }

    .hero-container {
        padding: 0 32px;
        justify-content: center;
    }

    .hero-actions-more-button, 
    .hero-actions-buy-button 
    {
        max-width: 450px;
        width: 100%;
    }
}

@media (max-width: 576px) {
    .hero {
        height: 650px;
    }

    .hero-content {
        height: 320px;
    }

    .hero-mobile-images {
        height: 390px;
    }

    .hero-mobile-image-1 {
        top: -160px;
        left: -160px;
        width: 200px;
        height: 320px;
    }

    .hero-mobile-image-2 {
        top: -160px;
        right: -190px;
        width: 200px;
        height: 320px;
    }
}

@media (max-width: 450px) {
    .hero {
        height: 700px;
    }
    

    .hero-mobile-images {
        height: 270px;
    }
}

@media (max-width: 340px) {
    .hero-mobile-images {
        height: 220px;
    }
}


@media (max-width: 400px) { 
    .hero-text-title {
        font-size: 32px;
        line-height: 32px;
    }

    .hero-text-description {
        font-size: 16px;
        line-height: 30px;
    }

    .hero-mobile-image-1 {
        top: -145px;
        left: -150px;
        width: 200px;
        height: 280px;
    }

    .hero-mobile-image-2 {
        top: -140px;
        right: -170px;
        width: 190px;
        height: 290px;
    }
}


/* =================== Decorations ================= */
/* ================================================= */

.hero-blueberry-1 {
    position: absolute;
    top: -50px;
    left: -15px;

    width: 165px;
    height: 185px;
    animation: floatUpDown 6s ease-in-out infinite;
}

.hero-strawberry-1 {
    position: absolute;
    top: 370px;
    left: 65px;

    width: 185px;
    height: 205px;
    animation: floatUpDown 6s ease-in-out infinite;
    animation-delay: 0.5s;
}

.hero-teddy-red-1 {
    position: absolute;
    top: 430px;
    left: 465px;

    width: 155px;
    height: 175px;
    animation: floatUpDown 6s ease-in-out infinite;
    animation-delay: 1.5s;
}

.hero-star-1 {
    position: absolute;
    top: 400px;
    left: 700px;

    width: 45px;
    height: 45px;
    animation-delay: 1.5s;
    animation: spin 20s linear infinite;
}

.hero-teddy-yellow-1 {
    position: absolute;
    top: -150px;
    left: 565px;

    width: 105px;
    height: 105px;
    animation: floatUpDown 6s ease-in-out infinite;
    animation-delay: 1.5s;
}

.hero-strawberry-2 {
    position: absolute;
    top: -170px;
    right: 300px;

    width: 135px;
    height: 135px;
    animation: floatUpDown 6s ease-in-out infinite;
    animation-delay: 1.5s;
}

.hero-star-2 {
    position: absolute;
    top: -80px;
    right: 50px;

    width: 35px;
    height: 35px;
    animation: spin 20s linear infinite;
    z-index: 100;
}

.hero-teddy-yellow-2 {
    position: absolute;
    top: 380px;
    right: 50px;

    width: 135px;
    height: 135px;
    animation: floatUpDown 6s ease-in-out infinite;
    z-index: 100;
}

.hero-blueberry-2 {
    position: absolute;
    top: 100px;
    right: 80px;

    width: 135px;
    height: 135px;
    animation: floatUpDown 6s ease-in-out infinite;
    z-index: -10;
}


@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

@media (max-width: 1400px) {
    .hero-blueberry-1 {
        left: 25px;
        width: 105px;
        height: 120px;
    }

    .hero-strawberry-1 {
        width: 125px;
        height: 145px;
        top: 400px;
    }

    .hero-strawberry-2 {
        top: -90px;
        right: 160px;

        width: 115px;
        height: 115px;
    }

    .hero-star-2 {
        top: 80px;
    }

    .hero-blueberry-2 {
        display: none;
    }
}

@media (max-width: 1100px) {    
    .hero-strawberry-1 {
        top: 460px;
    }

    .hero-teddy-red-1 {
        top: 440px;
        left: auto;
        right: 200px;
    }

    .hero-star-1 {
        top: 360px;
        left: 590px;
    }

    .hero-teddy-yellow-1 {
        top: -100px;
        left: auto;
        right: 50px;
    }

    .hero-strawberry-2 {
        display: none;
    }

    .hero-teddy-yellow-2 {
        display: none;
    }
}

@media (max-width: 820px) {
    .hero-blueberry-1 {
        left: 125px;
        width: 105px;
        height: 120px;
        top: auto;
        bottom: 210px;
        z-index: 1000;
    }

    .hero-strawberry-1 {
        left: auto;
        right: 160px;
        top: 160px;
        width: 70px;
        height: 85px;
        z-index: -10;
    }

    .hero-teddy-red-1 {
        top: 180px;
        left: auto;
        right: 50px;
        width: 80px;
        height: 95px;

        z-index: 1000;
    }

    .hero-star-1 {
        top: 560px;
        left: auto;
        right: 70px;
        width: 35px;
        height: 45px;
    }

    .hero-teddy-yellow-1 {
        top: 80px;
        right: auto;
        left: 50px;

        z-index: -10;
    }
}

@media (max-width: 576px) {
    .hero-blueberry-1 {
        width: 65px;
        height: 75px;
        bottom: 270px;
    }

    .hero-strawberry-1 {
        right: 120px;
        top: 200px;
        width: 55px;
        height: 60px;
    }

    .hero-teddy-red-1 {
        top: 240px;
        width: 70px;
        height: 80px;
    }

    .hero-star-1 {
        top: 500px;
        width: 25px;
        height: 25px;
    }

    .hero-teddy-yellow-1 {
        top: 180px;
        width: 85px;
        height: 85px;
    }
}

@media (max-width: 500px) {
    .hero-blueberry-1 {
        bottom: 215px;
    }
}

@media (max-width: 450px) {
    .hero-blueberry-1 {
        left: 25px;
    }

    .hero-strawberry-1 {
        right: 25px;
    }

    .hero-teddy-red-1 {
        right: 15px;
        top: 270px;
        width: 50px;
        height: 65px;
    }
}


@keyframes floatUpDown {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-20px);
    }
}
/* ============== /Decorations =============== */